Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.Axis

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.Axis

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.Axis

extends java.lang.Enum
implements QtEnumerator

Identify the axes emanating from a node.

The axes `AxisChild` , `AxisDescendant` , `AxisAttribute` , `AxisSelf` , `AxisDescendantOrSelf` , `AxisFollowingSibling` , and `AxisFollowing` are forward axes.

The axes `AxisParent` , `AxisAncestor` , `AxisPrecedingSibling` , `AxisPreceding` and `AxisAncestorOrSelf` are reverse axes.

See also:

See Also:
  Serialized Form

Field Summary
`static Qt.Axis` | `XAxis`
`static Qt.Axis` | `YAxis`
`static Qt.Axis` | `ZAxis`

Method Summary
`static Qt.Axis` | `resolve(int value)` Returns the Axis constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.Axis` | `valueOf(java.lang.String name)`
`static Qt.Axis[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### XAxis

    public static final Qt.Axis XAxis

### YAxis

    public static final Qt.Axis YAxis

### ZAxis

    public static final Qt.Axis ZAxis

Method Detail

### values

    public static Qt.Axis[] values()

### valueOf

    public static Qt.Axis valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.Axis resolve(int value)

  Returns the Axis constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD